Bug 1502715 - pcs : update of a vm resource with remote-node returns an abnormal error
Summary: pcs : update of a vm resource with remote-node returns an abnormal error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.4
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Ivan Devat
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1507399 1522983
TreeView+ depends on / blocked
 
Reported: 2017-10-16 13:57 UTC by Renaud Marigny
Modified: 2021-03-11 16:00 UTC (History)
9 users (show)

Fixed In Version: pcs-0.9.161-1.el7
Doc Type: Bug Fix
Doc Text:
Previously, attempting to use the "pcs resource update" command to change the "remote-node" attribute failed even if the target resource already had "remote-node" configured with the same value as the new one. This caused failures in a variety of Puppet operations that automatically update node information. Now, the pcs utility is capable of changing "remote-node" in the described circumstances, which prevents the problem from occurring.
Clone Of:
: 1507399 (view as bug list)
Environment:
Last Closed: 2018-04-10 15:40:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed fix (2.36 KB, patch)
2017-10-17 08:01 UTC, Ivan Devat
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3256081 0 None None None 2020-12-11 20:50:13 UTC
Red Hat Product Errata RHBA-2018:0866 0 None None None 2018-04-10 15:41:46 UTC

Comment 4 Ivan Devat 2017-10-17 08:01:05 UTC
Created attachment 1339614 [details]
proposed fix

Comment 8 Ivan Devat 2017-11-02 16:12:56 UTC
After Fix:

[ant ~] $ rpm -q pcs
pcs-0.9.161-1.el7.x86_64

[ant ~] $ pcs resource show R
 Resource: R (class=ocf provider=heartbeat type=Dummy)
  Meta Attrs: remote-node=cat
  Operations: migrate_from interval=0s timeout=20 (R-migrate_from-interval-0s)
              migrate_to interval=0s timeout=20 (R-migrate_to-interval-0s)
              monitor interval=10 timeout=20 (R-monitor-interval-10)
              reload interval=0s timeout=20 (R-reload-interval-0s)
              start interval=0s timeout=20 (R-start-interval-0s)
              stop interval=0s timeout=20 (R-stop-interval-0s)
[ant ~] $ pcs resource update R meta remote-node=cat
[ant ~] $ echo $?
0

Comment 14 errata-xmlrpc 2018-04-10 15:40:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0866


Note You need to log in before you can comment on or make changes to this bug.